﻿	local MAJOR_VERSION = "Threat-1.0"
local MINOR_VERSION = tonumber(("$Revision: 43016 $"):match("%d+"))

if MINOR_VERSION > _G.ThreatLib_MINOR_VERSION then
	_G.ThreatLib_MINOR_VERSION = MINOR_VERSION
end

ThreatLib_funcs[#ThreatLib_funcs+1] = function()

local ThreatLib = _G.ThreatLib

local BB = AceLibrary("Babble-Boss-2.2")

ThreatLib:GetModule("NPCCore"):RegisterModule(BB["Supremus"], function(Supremus)

	Supremus:RegisterTranslation("enUS", function() return {
		["Supremus punches the ground in anger!"] = "Supremus punches the ground in anger!"
	} end)
	Supremus:RegisterTranslation("deDE", function() return {
		["Supremus punches the ground in anger!"] = "Supremus schlägt wütend auf den Boden!",
	} end)
	Supremus:RegisterTranslation("koKR", function() return {
		["Supremus punches the ground in anger!"] = "궁극의 심연이 분노하여 땅을 내리찍습니다!",
	} end)

	local phaseTransition = Supremus:GetTranslation("Supremus punches the ground in anger!")

	Supremus:UnregisterTranslations()

	function Supremus:Init()
		self:RegisterCombatant(BB["Supremus"], true)

		self:RegisterChatEvent("emote", BB["Supremus"], phaseTransition, self.Wipe)
	end

	function Supremus:StartFight()
		self:SetNumberOfMobs(1)
	end

	function Supremus:Wipe()
		self:WipeAllRaidThreat()
	end
end)

table.insert(ThreatLib.UpvalueFixers, function(lib)
	ThreatLib = lib
end)

end
